org.eclipse.eef.ide.ui.internal.widgets.quickfix

## Class EEFQuickFixPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.eclipse.eef.ide.ui.internal.widgets.quickfix.EEFQuickFixPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class EEFQuickFixPage
    extends org.eclipse.jface.wizard.WizardPage

The wizard page used to launch a quick fix.

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`EEFQuickFixPage(org.eclipse.ui.forms.IMessage message, EEFValidationRuleDescription validationRule, InvalidValidationRuleResultData data)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.ui.forms.IMessage` `getSelectedMessage()` Returns the selected `IMessage`.
`boolean` `isPageComplete()`
`void` `performFinish(org.eclipse.core.runtime.IProgressMonitor monitor)` Launch the selected quick fix in the list.

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

### Constructor Detail

#### EEFQuickFixPage

    public EEFQuickFixPage(org.eclipse.ui.forms.IMessage message,
                           EEFValidationRuleDescription validationRule,
                           InvalidValidationRuleResultData data)

The constructor.

Parameters:
  `message` - The message
  `validationRule` - The validation rule
  `data` - The invalid validation result data

### Method Detail

#### getSelectedMessage

    public org.eclipse.ui.forms.IMessage getSelectedMessage()

Returns the selected `IMessage`.

Returns:
  The selected `IMessage`

#### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

See Also:
  `IDialogPage.createControl(org.eclipse.swt.widgets.Composite)`

#### isPageComplete

    public boolean isPageComplete()

Specified by:
  `isPageComplete` in interface `org.eclipse.jface.wizard.IWizardPage`
Overrides:
  `isPageComplete` in class `org.eclipse.jface.wizard.WizardPage`
See Also:
  `WizardPage.isPageComplete()`

#### performFinish

    public void performFinish(org.eclipse.core.runtime.IProgressMonitor monitor)

Launch the selected quick fix in the list.

Parameters:
  `monitor` - The progress monitor